commit:     fdf6f90891a3ac2145ba3658e975316e5f8d59b1
Author:     Paul Zander <negril.nx+gentoo <AT> gmail <DOT> com>
AuthorDate: Sat Dec 27 14:03:28 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Dec 27 14:26:03 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=fdf6f908

sci-libs/adolc: add 2.7.2-r1, EAPI-8 fix some bashisms

checking for ColPack/ColPackHeaders.h... yes
./configure: line 21769: ${D@}: bad substitution

Signed-off-by: Paul Zander <negril.nx+gentoo <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../{adolc-2.7.2.ebuild => adolc-2.7.2-r1.ebuild}  | 60 ++++++++++++++--------
 1 file changed, 38 insertions(+), 22 deletions(-)

diff --git a/sci-libs/adolc/adolc-2.7.2.ebuild 
b/sci-libs/adolc/adolc-2.7.2-r1.ebuild
similarity index 53%
rename from sci-libs/adolc/adolc-2.7.2.ebuild
rename to sci-libs/adolc/adolc-2.7.2-r1.ebuild
index 9af2e0c8e2a8..e1c099270f28 100644
--- a/sci-libs/adolc/adolc-2.7.2.ebuild
+++ b/sci-libs/adolc/adolc-2.7.2-r1.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2025 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-inherit autotools toolchain-funcs
+inherit autotools
 
 DESCRIPTION="Automatic differentiation system for C/C++"
 HOMEPAGE="https://projects.coin-or.org/ADOL-C/";
@@ -12,31 +12,44 @@ if [[ ${PV} == *9999 ]]; then
        inherit git-r3
        EGIT_REPO_URI="https://github.com/coin-or/ADOL-C";
 else
-       
SRC_URI="https://github.com/coin-or/ADOL-C/archive/releases/${PV}.tar.gz -> 
${P}.tar.gz"
-       SRC_URI+=" 
https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-2.7.2-patches.tar.bz2";
-       KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ppc ppc64 ~riscv ~x86"
+       SRC_URI="
+               https://github.com/coin-or/ADOL-C/archive/releases/${PV}.tar.gz 
-> ${P}.tar.gz
+               
https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${PN}-2.7.2-patches.tar.bz2
+       "
        S="${WORKDIR}/ADOL-C-releases-${PV}"
+       KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ppc ppc64 ~riscv ~x86"
 fi
 
 LICENSE="|| ( EPL-1.0 GPL-2 )"
-SLOT="0/2"
+SLOT="0/$(ver_cut 1)"
 IUSE="+boost mpi sparse"
 
 RDEPEND="
-       boost? ( dev-libs/boost:= )
        mpi? ( sys-cluster/ampi:0= )
-       sparse? ( sci-libs/colpack:0= )"
-DEPEND="${RDEPEND}"
+       sparse? ( sci-libs/colpack )
+"
+DEPEND="${RDEPEND}
+       boost? ( dev-libs/boost:= )
+"
 
 PATCHES=(
-       "${WORKDIR}"/${PN}-2.5.0-no-colpack.patch
-       "${WORKDIR}"/${PN}-2.5.0-pkgconfig-no-ldflags.patch
-       "${WORKDIR}"/${PN}-2.6.2-dash.patch
-       "${WORKDIR}"/${P}-swig-python-configure.patch
+       "${WORKDIR}/${PN}-2.5.0-no-colpack.patch"
+       "${WORKDIR}/${PN}-2.5.0-pkgconfig-no-ldflags.patch"
+       "${WORKDIR}/${PN}-2.6.2-dash.patch"
+       "${WORKDIR}/${P}-swig-python-configure.patch"
 )
 
 src_prepare() {
+       sed \
+               -e 's/${D\[@\]}/"${DIR[[@]]}"/g' \
+               -i "${WORKDIR}/adolc-2.5.0-no-colpack.patch" || die
+
        default
+
+       sed \
+               -e 's/D\[\[/DIR[[/g' \
+               -i "${S}/autoconf/colpack.m4" || die
+
        eautoreconf
 }
 
@@ -46,15 +59,18 @@ src_configure() {
        # https://bugs.gentoo.org/730750
        # https://github.com/coin-or/ADOL-C/issues/20
        # Can drop CONFIG_SHELL once fixed up dash/bashisms patch
-       CONFIG_SHELL="${BROOT}/bin/bash" econf \
-               --disable-python \
-               --disable-static \
-               --enable-advanced-branching \
-               --enable-atrig-erf \
-               $(use_enable mpi ampi) \
-               $(use_enable sparse) \
-               $(use_with boost) \
+       local myeconfargs=(
+               --disable-python
+               --disable-static
+               --enable-advanced-branching
+               --enable-atrig-erf
+               $(use_enable mpi ampi)
+               $(use_enable sparse)
+               $(use_with boost)
                $(use_with sparse colpack "${EPREFIX}"/usr)
+       )
+
+       CONFIG_SHELL="${BROOT}/bin/bash" econf "${myeconfargs[@]}"
 }
 
 src_test() {

Reply via email to